Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.identity
Interface RecordId

All Superinterfaces:
  Identifier<String,Feature>

    @XmlElement(value="RecordId")
    public interface RecordId

extends Identifier<String,Feature>

RecordId refered to by CSW-2 specification.

Records are identified with a String, commonly referred to as an "id".

Since:
  GeoAPI 2.1
Version:
  Implementation specification 1.0

Method Summary
`String` | `getID()` The identifier value, which is a string.
`boolean` | `matches(Object record)` Evaluates the identifer value against the given record.

Methods inherited from interface Identifier
`matches, toString`

Method Detail

### getID

    @XmlElement(value="id")
    String getID()

  The identifier value, which is a string.

  Specified by:
    `getID` in interface `Identifier<String,Feature>`

### matches

    boolean matches(Object record)

  Evaluates the identifer value against the given record.

  Parameters:
    `record` - The recrod construct to be tested.
  Returns:
    `true` if a match, otherwise `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.